Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class DataValidator

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.DataValidator

All Implemented Interfaces:
  IDataValidator

public class DataValidator
extends java.lang.Object
implements IDataValidator

DataValidator
Commentaire
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`DataValidator()`

Method Summary
`void` | `addValidator(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.util.Collection logins)` Ajout d'une liste de valideurs
`void` | `addValidator(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.lang.String login)` Ajout d'un valideur
`java.util.Collection` | `getValidators(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Récupération des valideurs d'un dossier
`void` | `removeAllValidators(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Suppression de tous les valideurs d'un dossier
`void` | `removeValidator(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.lang.String login)` Suppression d'un valideur

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataValidator

    public DataValidator()

Method Detail

### getValidators

    public java.util.Collection getValidators(org.esupportail.portal.utils.database.Query query,
                                              java.lang.String id)
                                       throws DataException

  Récupération des valideurs d'un dossier

  Specified by:
    `getValidators` in interface `IDataValidator`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
  Returns:
    La liste des valideurs
  Throws:
    `DataException`

### addValidator

    public void addValidator(org.esupportail.portal.utils.database.Query query,
                             java.lang.String id,
                             java.lang.String login)
                      throws DataException

  Ajout d'un valideur

  Specified by:
    `addValidator` in interface `IDataValidator`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
    `login` - L'identifiant de l'utilisateur
  Throws:
    `DataException`

### addValidator

    public void addValidator(org.esupportail.portal.utils.database.Query query,
                             java.lang.String id,
                             java.util.Collection logins)
                      throws DataException

  Ajout d'une liste de valideurs

  Specified by:
    `addValidator` in interface `IDataValidator`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
    `logins` - La liste des logins
  Throws:
    `DataException`

### removeValidator

    public void removeValidator(org.esupportail.portal.utils.database.Query query,
                                java.lang.String id,
                                java.lang.String login)
                         throws DataException

  Suppression d'un valideur

  Specified by:
    `removeValidator` in interface `IDataValidator`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
    `login` - L'identifiant de l'utilisateur
  Throws:
    `DataException`

### removeAllValidators

    public void removeAllValidators(org.esupportail.portal.utils.database.Query query,
                                    java.lang.String id)
                             throws DataException

  Suppression de tous les valideurs d'un dossier

  Specified by:
    `removeAllValidators` in interface `IDataValidator`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD